## Tcl8.6.0/Tk8.6.0 Documentation > Tk C API, version 8.6.0 > DeleteImg

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_DeleteImage — Destroy an image.

### SYNOPSIS

#include <tk8.6/tk.h>
Tk_DeleteImage(interp, name)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter for which the image was created.

const char *name (in)
  Name of the image.

### DESCRIPTION

Tk_DeleteImage deletes the image given by interp and name, if there is one. All instances of that image will redisplay as empty regions. If the given image does not exist then the procedure has no effect.

### KEYWORDS

delete image, image manager
Copyright © 1995-1996 Sun Microsystems, Inc.